#!/bin/bash
#
# Builds all fluid documentation charts.
#

mkdir -p doc/png
mkdir -p doc/dat

cd filter
gnuplot risposta_base.gnu > ../doc/png/risposta_base.png
gnuplot dbfreq.gnu > ../doc/png/dbfreq_01.png
gnuplot zplane.gnu > ../doc/png/zplane_01.png
cd ..

./move -n 100 0.85 0  > doc/dat/poli_1.dat
./move -n 100 0.90 7  > doc/dat/poli_2.dat
./move -n 100 0.92 10 > doc/dat/poli_3.dat

gnuplot plots/fluid_report.gnu > doc/png/time_01.png

./move -N 70 -n 35 0.90 7 0 100  > doc/dat/poli_4.dat
gnuplot plots/time_02.gnu > doc/png/time_02.png


./move -n 200 0.84 0  > doc/dat/data_r_84.dat
./move -n 200 0.86 0  > doc/dat/data_r_86.dat
./move -n 200 0.88 0  > doc/dat/data_r_88.dat
./move -n 200 0.90 0  > doc/dat/data_r_90.dat
./move -n 200 0.92 0  > doc/dat/data_r_92.dat
./move -n 200 0.94 0  > doc/dat/data_r_94.dat
./move -n 200 0.96 0  > doc/dat/data_r_96.dat

./move -n 200 0.84 7  > doc/dat/data_cc_84.dat
./move -n 200 0.86 7  > doc/dat/data_cc_86.dat
./move -n 200 0.88 7  > doc/dat/data_cc_88.dat
./move -n 200 0.90 7  > doc/dat/data_cc_90.dat
./move -n 200 0.92 7  > doc/dat/data_cc_92.dat
./move -n 200 0.94 7  > doc/dat/data_cc_94.dat
./move -n 200 0.96 7  > doc/dat/data_cc_96.dat

gnuplot plots/time_03.gnu > doc/png/time_03.png


THR=0.98

./move -n 1000 -t $THR 0.10 0 >  doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.15 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.20 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.25 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.30 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.35 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.40 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.45 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.50 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.55 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.60 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.65 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.70 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.75 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.80 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.82 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.85 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.87 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.90 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.91 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.92 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.93 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.94 0 >> doc/dat/fitting_r.dat
./move -n 1000 -t $THR 0.95 0 >> doc/dat/fitting_r.dat

gnuplot plots/fitting_r.gnu > doc/png/fitting_r.png
gnuplot plots/reverse_r.gnu > doc/png/reverse_r.png

THR=0.98

./move -n 1000 -t $THR 0.10 7 >  doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.15 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.20 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.25 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.30 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.35 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.40 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.45 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.50 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.55 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.60 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.65 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.70 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.75 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.80 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.82 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.85 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.87 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.90 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.91 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.92 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.93 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.94 7 >> doc/dat/fitting_cc.dat
./move -n 1000 -t $THR 0.95 7 >> doc/dat/fitting_cc.dat


./move -n 1000 -t $THR 0.10 12 >  doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.15 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.20 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.25 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.30 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.35 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.40 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.45 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.50 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.55 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.60 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.65 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.70 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.75 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.80 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.82 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.85 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.87 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.90 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.91 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.92 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.93 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.94 12 >> doc/dat/fitting_cc_2.dat
./move -n 1000 -t $THR 0.95 12 >> doc/dat/fitting_cc_2.dat


# Creazione delle equazioni
BG="000000"
FG1="ffffcc"
FG2="00ff66"

OPT1="-d 220 -b $BG -f $FG1"
OPT2="-d 220 -b $BG -f $FG2"

l2p $OPT1 -o doc/png/eq_01.png -i '\begin{displaymath} y = \Big( \frac{3}{1-x} \Big)^{1.25} \end{displaymath}'
l2p $OPT1 -o doc/png/eq_02.png -i '\begin{displaymath} x = 1 - 3 \cdot y^{\frac{-1}{1.25}} \end{displaymath}'


