#
#   Visualizza i dati presenti nel log file.
#   Copyright (C) 2021  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


set terminal png size 900,480 x000000 xffffff


set grid x y
set grid mxtics mytics
#set xzeroaxis lw 2


set key on
set key title "Lines"
set key Left reverse samplen 1 box lw 1
set key width 1 height 1
set key right top

set samples 300


set xrange[0:600]
set xtics 50
set mxtics 2
set xlabel "samples"

set yrange[-40:200]
set ytics 25
set mytics 2
set ylabel "in/out"

set xzeroaxis lw 2

set title "Fluid filter Data log"

plot	"example_1.txt" using 1:2  axes x1y1 with lines title "In" lw 2, \
	"example_1.txt" using 1:3  axes x1y1 with lines title "Out" lw 3



