#
#   Risposta in frequenza del filtro digitale costruito.
#   Copyright (C) 2010 2011 2014 2017 2018  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#

set term png size 640,480 x000000 xffffff



load "zeri_poli.gnu"



set grid x y
set xzeroaxis lw 2


set multiplot
set size 1,1
set origin 0,0


set key on
set key title "lines"
set key Left reverse samplen 1 box lw 1
set key width 1 height 1
set key left
set key bottom

set samples 300

set xrange[0.0:0.5]
set yrange[-70:30]

set xtics 0.05
set ytics 10

set xlabel "Normalized freq."
set ylabel "Gain [dB]"
set title "Risposta in frequenza: poli reali coincidenti o complessi coniugati"

set object 1 rect from 0.23,27 to 0.48,-25
set object 1 rect fc rgb 'black' fillstyle solid 0.0 noborder

plot	dB(Iir_1(z(x))) title "poli reali" lw 2, \
	dB(Iir_2(z(x))) title "poli cc" lw 2, \
	dB(Iir_3(z(x))) title "poli cc" lw 2


set origin 0.48,0.48
set size 0.45,0.4


set grid mxtics

set key off

set xrange[0:0.06]
set xtics 0.02
set mxtics 2

set yrange[-10:3]
set ytics 3


unset xlabel
unset ylabel
unset title

plot	dB(Iir_1(z(x))) title "poli reali" lw 3, \
	dB(Iir_2(z(x))) title "poli cc" lw 3, \
	dB(Iir_3(z(x))) title "poli cc" lw 3


unset multiplot


