#
#   Risposta desiderata da un sistema del secondo ordine.
#   Copyright (C) 2018  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#



set terminal png size 640,480 x000000 xffffff




# Funzioni

First(a,t)=a*(1-exp(-t/0.2))
Second(a,t)=First(a,t)*First(1,t)**3





set grid x y
#set grid mxtics mytics


set multiplot
set size 1,1
set origin 0,0


set key on
set key title "lines"
set key Left reverse samplen 1 box lw 1
set key width 1 height 1
set key left
set key top

set samples 300

#set logscale x

set xrange[0:2]
set xtics 0.2
#set mxtics 10

set yrange[0:10]
set ytics 1
#set mytics 3


set xlabel "Time [s]"
set ylabel "Position"
set title "Risposta di sistemi del primo e secondo ordine"

set object 1 rect from 0.9,6.75 to 1.9,1.25
set object 1 rect fc rgb 'black' fillstyle solid 0.0 noborder

plot	First(8,x) axes x1y1 title "Primo ord." lw 2, \
	Second(8,x) axes x1y1 title "Secondo ord." lw 2


set origin 0.5,0.2
set size 0.4,0.4


set key off

set xrange[0:0.2]
set xtics 0.05
#set mxtics 10

set yrange[0:1]
set ytics 0.2
#set mytics 3


unset xlabel
unset ylabel
unset title

plot	First(8,x) axes x1y1 title "First" lw 3, \
	Second(8,x) axes x1y1 title "Second" lw 3


unset multiplot

