#
#   Zeroes polar chart drawing.
#   Copyright (C) 2017 2018  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#


set term png size 800,380 x000000 xffffff


load "zeri_poli.gnu"



set polar
set dummy t

unset xlabel 
unset ylabel 
unset title 

set grid polar
unset border
set xzeroaxis linetype 0 linewidth 1.000
set yzeroaxis linetype 0 linewidth 1.000


set multiplot
set size 0.5,1
set origin 0.5,0


set key off

set samples 300

set trange[0:2*pi]
set xrange[0.75:1.10]
set yrange[-0.25:0.25]

set xtics axis 0.10
set ytics axis 0.10

# posiziona i poli
set label 1  "p1" at real(p1),imag(p1) tc lt 1 point ps 3 offset 0.4,0.5
set label 2  "p2" at real(p2),imag(p2) tc lt 1 point ps 3 offset 0.4,-0.8
set label 3  "p3" at real(p3),imag(p3) tc lt 1 point ps 3 offset 0.4,0.5
set label 4  "p4" at real(p4),imag(p4) tc lt 1 point ps 3 offset 0.4,-0.8
set label 5  "p5" at real(p5),imag(p5) tc lt 1 point ps 3 offset 0.4,0.5
set label 6  "p6" at real(p6),imag(p6) tc lt 1 point ps 3 offset 0.4,-0.8

set title "Dettaglio del piano intorno a 1"

plot 1.0 linetype 3 lw 4


set origin 0,0


set key off

set samples 300

set trange[0:2*pi]
set xrange[-1.20:1.20]
set yrange[-1.20:1.20]

set xtics axis 0.25
set ytics axis 0.25

#set xlabel "x label"
#set ylabel "y label"
#set title "chart title"

# posiziona gli zeri
unset label 1
unset label 2
unset label 7
unset label 8
#set label 1  "q1" at real(q1),imag(q1) tc lt 2 point ps 3 offset 0.4,0.4
#set label 2  "q2" at real(q2),imag(q2) tc lt 2 point ps 3 offset 0.4,0.4

# posiziona i poli
set label 17  "p1" at real(p3),imag(p3) tc lt 1 point ps 3 offset 0.4,0.5
set label 18  "p2" at real(p4),imag(p4) tc lt 1 point ps 3 offset 0.4,-0.8


set title "Disposizione dei poli nel piano complesso"

plot 1.0 linetype 3 lw 2


unset multiplot

