/*
    Image loading helper.
    Copyright (C) 2012 2013 2014  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published
    by the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */

#ifndef __LOADPNG_H
#define __LOADPNG_H	1

#include <SDL/SDL.h>				// SDL library

/***************************************************************************/
/* define pubblici */

/***************************************************************************/
/* macro pubbliche */

/***************************************************************************/
/* strutture pubbliche */

/***************************************************************************/
/* costanti pubbliche */

/***************************************************************************/
/* variabili pubbliche */

/***************************************************************************/
/* funzioni pubbliche */

SDL_Surface *LoadSetVideo(SDL_Surface *Video);
  /* Dichiara quale SDL_Surface utilizzare come riferimento per caricare
     le immagini. */


SDL_Surface *LoadNewSurface(int w,int h);
  /* Semplifica la chiamata alla funzione SDL_CreateRGBSurface()
     richiedendo molti meno parametri. */

SDL_Surface *Load16bitPng(const char *FileName);
  /* Carica l'immagine specificata in una surface a 16 bit. In caso di
     successo ritorna un puntatore alla nuova surface, NULL altrimenti. */

int Load16bitTiles(const char *FileName,int GeoX,int GeoY,SDL_Surface **List);
  /* Carica un'immagine composta da GeoX x GeoY tile e suddivide le tessere
     negli elementi di List, List deve avere GeoX X GoeY elementi.
     Ritorna 0 in caso di successo. */

void TilePaste(SDL_Surface *Tile,SDL_Surface *Dest,int x,int y);
  /* Copia la tessera Tile all'interno della surface Dest, le coordinate della
     destinazione sono espresse in multipli della dimensione della tessera. */

/***************************************************************************/
#endif

/* $Source$ */

