/*
    Sequence cut user definable data.
    Copyright (C) 2021  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published
    by the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */


#ifndef __SEQDATA_H
#define __SEQDATA_H	1


#include <stdint.h>
#include "fluid/fluid.h"
#include "magiceye/magiceye.h"

/***************************************************************************/
/* define pubblici */

/***************************************************************************/
/* macro pubbliche */

/***************************************************************************/
/* strutture pubbliche */

/** \brief Sequence cut user definable data type.
 *
 *  It is used to pass magic-eye data to the cuts.
 */
typedef struct
{
  struct
  {
    FluidData_t		FluidFilt;	///< Fluid filter.
    const MagicEye_t	*Eye;		///< Magic eye.
    int			Rotate[3];	///< Eye rings rotation.
  }A;
  struct
  {
    FluidData_t		FluidFilt;	///< Fluid filter.
    const MagicEye_t	*Eye;		///< Magic eye.
    int			Rotate[3];	///< Eye rings rotation.
  }B;
}SeqData_t;



/** \brief Sequence cut user definable data type.
 *
 *  It is used to pass magic-eye data to the cuts.
 */
typedef struct
{
//  FluidData_t		FluidFilt[2];	///< Fluid filter.
  const MagicEye_t	*Eye;		///< Magic eye.
  int			Rotate[2];	///< Eye rings rotation.
}SeqData_2_t;

/***************************************************************************/
/* variabili pubbliche */

/***************************************************************************/
/* funzioni pubbliche */

/***************************************************************************/
#endif

/* $Source$ */

