/*
    SDL_Suorface stretching.
    Copyright (C) 2018  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */


/***************************************************************************/
/* include vari */

#include <string.h>
#include <SDL/SDL_image.h>

#include "stretch.h"				// functions prototypes

/***************************************************************************/
/* define interni alla libreria */

/***************************************************************************/
/* strutture contenute all'interno della libreria */

/***************************************************************************/
/* variabili interne alla libreria */

/***************************************************************************/
/* funzioni interne alla libreria */

/***************************************************************************/
/* funzioni */

int SurfaceStretch(SDL_Surface *Source,SDL_Surface *Dest,int VStretch)
{
  /* Stira verticalmente una surface. */



  int			RowCount;
  int			Count;
  unsigned char		*SrcRow;
  unsigned char		*DestRow;



  // verifica di avere sufficiente spazio nella surface destinazione
  if(Source->w != Dest->w)
    return 1;					// larghezze diverse
  if(Source->pitch != Dest->pitch)
    return 2;					// acceleratori diversi
  if(Dest->h < (Source->h * VStretch))		// se non c'e' posto
    return 3;					// fermati

  // copia l'immagine originale allungandola verticalmente
  RowCount=Source->h;				// totale righe sorgente
  SrcRow=(unsigned char*)Source->pixels;	// prima riga sorgente
  DestRow=(unsigned char*)Dest->pixels;		// prima riga destinazione
  do
  {
    Count=VStretch;				// carica il contatore
    do
    {
      memcpy(DestRow,SrcRow,Source->pitch);	// copia una riga
      DestRow=&DestRow[Source->pitch];		// avanti una riga
    }while(--Count);
    SrcRow=&SrcRow[Source->pitch];		// avanti una riga
  }while(--RowCount);
  return 0;					// termina con successo
}

/* $Source$ */

